@charset "utf-8";
/***********************************************************
	Filename: plugin_library.css
	Note	: 插件库CSS样式
	Author  : 优尚设计 <547829810@qq.com>
	Web		: www.szphp.cn
	Update  : 2023.11.30
***********************************************************/

/* plugin-library 页面内容结构 */
.wrapper{position:relative;padding-top:50px;padding-bottom:50px;background:#f6f8fb}
.plugin-library{margin:10px auto;padding:25px;background:#fff;box-shadow:0 1px 2px 0 rgba(0,0,0,.1)}
@media screen and (max-width:768px){
	.wrapper{overflow:hidden;padding:0}
	.plugin-library{padding:15px}
}

/* 标题 */
.plugin-library .title{margin-bottom:1rem;padding:15px 1rem;border-radius:3px;background-color:#333;color:#fff}
.plugin-library .title h2{display:block;margin-bottom:0;text-transform:capitalize}
.plugin-library .title h2 em{margin-left:15px;color:#ccc;font-style:normal;font-size:70%}
.plugin-library .title span{font-size:14px;display: block;text-transform: none;margin-top: 5px;}
.plugin-library .title span a{color:#ccc}
.plugin-library .title span a:hover{color:#fff}

/* 插件库列表 */
.plugin-library .file-list{padding:0}
.plugin-library .file-list .copy-container{position:relative;margin-bottom:10px;padding:10px 1rem;border-radius:2px;background-color:#f5f5f5}
.plugin-library .file-list .copy-content{display:inline-block;margin-right:10px;color:#bf0404}
.plugin-library .file-list .btn-clipboard{position:absolute;top:0;right:0;display:flex;padding:0 15px;height:100%;border:none;border-top-right-radius:2px;border-bottom-right-radius:2px;background-color:#4caf50;color:#fff;font-size:1rem;cursor:pointer;transition:background-color .3s ease;align-items:center}
@media screen and (max-width:768px){
	.plugin-library .file-list .copy-content{font-size:12px}
	.plugin-library .file-list .copy-container{overflow-x:scroll}
}

/* 字体库列表 */
.font-library{padding:0}
.font-library .copy-container{position:relative;margin-bottom:10px;padding:5px;border-radius:2px;background-color:#fafafa}
.font-library .font-demo{position:relative;padding:25px;border-radius:2px;background-color:#fafafa}
.font-library .font-demo .button{position:relative}
.font-library .font-demo .button button{display:inline-block;padding:6px 15px;border:none;border-radius:4px;background-color:#f3e5e9;color:#333;font-size:13px;cursor:pointer;transition:background-color .3s ease}
.font-library .font-demo .button button .fa{margin-right:5px}
.font-library .font-demo .button button:hover{background-color:#ddd}
.font-library .font-demo .text{padding-top:15px;font-size:14px}
.font-library .font-demo .text p{margin-bottom:15px;text-transform:capitalize}
.font-library .font-demo .text p:last-child{margin-bottom:0}
@media screen and (max-width:768px){
	.font-library .font-demo{padding:15px}
	.font-library .font-demo .button button{margin-bottom:5px;padding:5px 12px}
}